petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNES

Abstract PETSc object that manages all nonlinear solves

### Synopsis

    typedef struct _p_SNES* SNES;

### See Also

SNESCreate(), SNESSetType(), SNESType, TS, KSP, KSP, PC, SNESDestroy()

Level:beginner
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html